From 0d6ae9591b493d558479f4b6e7e7423a84f2b4aa Mon Sep 17 00:00:00 2001
From: Tristan Partin <tristan@neon.tech>
Date: Tue, 16 May 2023 08:11:14 -0500
Subject: [PATCH v2 03/17] Use consistent Meson option description formats

---
 meson_options.txt | 32 ++++++++++++++++----------------
 1 file changed, 16 insertions(+), 16 deletions(-)

diff --git a/meson_options.txt b/meson_options.txt
index fa823fd088..bdc6735332 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -5,7 +5,7 @@
 option('blocksize', type : 'combo',
   choices : ['1', '2', '4', '8', '16', '32'],
   value : '8',
-  description: 'Set relation block size in kB')
+  description: 'Relation block size, in kilobytes')
 
 option('wal_blocksize', type : 'combo',
   choices: ['1', '2', '4', '8', '16', '32', '64'],
@@ -41,16 +41,16 @@ option('cassert', type : 'boolean', value: false,
   description: 'Enable assertion checks (for debugging)')
 
 option('tap_tests', type : 'feature', value : 'auto',
-  description : 'Whether to enable tap tests')
+  description : 'Enable tap tests')
 
 option('PG_TEST_EXTRA', type : 'string', value: '',
   description: 'Enable selected extra tests')
 
 option('atomics', type : 'boolean', value: true,
-  description: 'Whether to use atomic operations')
+  description: 'Use atomic operations')
 
 option('spinlocks', type : 'boolean', value: true,
-  description: 'Whether to use spinlocks')
+  description: 'Use spinlocks')
 
 
 # Compilation options
@@ -68,16 +68,16 @@ option('darwin_sysroot', type : 'string', value: '',
   description: 'Select a non-default sysroot path')
 
 option('rpath', type : 'boolean', value: true,
-  description: 'Whether to embed shared library search path in executables')
+  description: 'Embed shared library search path in executables')
 
 
 # External dependencies
 
 option('bonjour', type : 'feature', value: 'auto',
-  description: 'Build with Bonjour support')
+  description: 'Bonjour support')
 
 option('bsd_auth', type : 'feature', value: 'auto',
-  description: 'Build with BSD Authentication support')
+  description: 'BSD Authentication support')
 
 option('docs', type : 'feature', value: 'auto',
   description: 'Documentation in HTML and man page format')
@@ -110,7 +110,7 @@ option('libxslt', type : 'feature', value: 'auto',
   description: 'XSLT support in contrib/xml2')
 
 option('llvm', type : 'feature', value: 'disabled',
-  description: 'Whether to use llvm')
+  description: 'LLVM support')
 
 option('lz4', type : 'feature', value: 'auto',
   description: 'LZ4 support')
@@ -119,7 +119,7 @@ option('nls', type: 'feature', value: 'auto',
   description: 'Native language support')
 
 option('pam', type : 'feature', value: 'auto',
-  description: 'Build with PAM support')
+  description: 'PAM support')
 
 option('plperl', type : 'feature', value: 'auto',
   description: 'Build Perl modules (PL/Perl)')
@@ -128,33 +128,33 @@ option('plpython', type : 'feature', value: 'auto',
   description: 'Build Python modules (PL/Python)')
 
 option('pltcl', type : 'feature', value: 'auto',
-  description: 'Build with TCL support')
+  description: 'Build with TCL support (PL/TCL)')
 
 option('tcl_version', type : 'string', value : 'tcl',
-  description: 'Specify TCL version')
+  description: 'TCL version')
 
 option('readline', type : 'feature', value : 'auto',
   description: 'Use GNU Readline or BSD Libedit for editing')
 
 option('selinux', type : 'feature', value : 'disabled',
-  description: 'Build with SELinux support')
+  description: 'SELinux support')
 
 option('ssl', type : 'combo', choices : ['auto', 'none', 'openssl'],
   value : 'auto',
   description: 'Use LIB for SSL/TLS support (openssl)')
 
 option('systemd', type : 'feature', value: 'auto',
-  description: 'Build with systemd support')
+  description: 'systemd support')
 
 option('uuid', type : 'combo', choices : ['none', 'bsd', 'e2fs', 'ossp'],
   value : 'none',
-  description: 'Build contrib/uuid-ossp using LIB')
+  description: 'Use LIB for contrib/uuid-ossp support')
 
 option('zlib', type : 'feature', value: 'auto',
-  description: 'Whether to use zlib')
+  description: 'Enable zlib')
 
 option('zstd', type : 'feature', value: 'auto',
-  description: 'Whether to use zstd')
+  description: 'Enable zstd')
 
 
 # Programs
-- 
Tristan Partin
Neon (https://neon.tech)

